#!/bin/sh
ACTIVE_CONSOLE=`cat /sys/devices/virtual/tty/console/active`
if [ -z ${ACTIVE_CONSOLE} ]; then
	logger -t INIT "*silent* serial console"
	# this will wait forever for a non-existant input
	read forever
else
	logger -t INIT "starting serial console on ${ACTIVE_CONSOLE}"
	/sbin/getty 115200 ${ACTIVE_CONSOLE}
fi

